Page MenuHomePhabricator

Add phan to OpenStackManager extension
Closed, ResolvedPublic

Description

As wmf deployed extension the OpenStackManager extension should run phan on CI to found simple bugs in an earlier state of development.

OpenStackManager extension is not using the common /includes/ or /src/ folder, which makes the config for phan a bit harder.

Details

Related Gerrit Patches:
mediawiki/extensions/OpenStackManager : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : masterlayout: [OpenStackManager] Enable Phan
integration/config : master[OpenStackManager] Add phan dependency

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 8:42 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 542760 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [OpenStackManager] Add phan dependency

https://gerrit.wikimedia.org/r/542760

Change 542762 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/OpenStackManager@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542762

Umherirrender triaged this task as Normal priority.

Change 542760 merged by jenkins-bot:
[integration/config@master] [OpenStackManager] Add phan dependency

https://gerrit.wikimedia.org/r/542760

Change 543182 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [OpenStackManager] Enable Phan

https://gerrit.wikimedia.org/r/543182

Change 543182 merged by jenkins-bot:
[integration/config@master] layout: [OpenStackManager] Enable Phan

https://gerrit.wikimedia.org/r/543182

Mentioned in SAL (#wikimedia-releng) [2019-10-15T18:01:41Z] <James_F> Zuul: Enable Phan for OpenStackManager T224765

Change 542762 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542762

Umherirrender closed this task as Resolved.Oct 15 2019, 6:40 PM